net.sourceforge.pmd.cpd

## Class JavaTokensTokenizerTest

- java.lang.Object
- - net.sourceforge.pmd.cpd.JavaTokensTokenizerTest

    public class JavaTokensTokenizerTest
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`JavaTokensTokenizerTest()`

### Method Summary

Methods
`static junit.framework.Test` `suite()`
`void` `test1()`
`void` `test2()`
`void` `testCommentsIgnored()`
`void` `testDiscardImports()`
`void` `testDiscardOneLineAnnotationWithParams()`
`void` `testDiscardPkgStmts()`
`void` `testDiscardSemicolons()`
`void` `testDiscardSimpleOneLineAnnotation()`
`void` `testIgnoreBetweenSpecialAnnotation()`
`void` `testIgnoreBetweenSpecialAnnotationAndIgnoreAnnotations()`
`void` `testIgnoreComments()` Comments are discarded already by the Java parser.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### JavaTokensTokenizerTest

    public JavaTokensTokenizerTest()

### Method Detail

#### test1

    public void test1()
               throws Throwable

Throws:
  `Throwable`

#### testCommentsIgnored

    public void testCommentsIgnored()
                             throws Throwable

Throws:
  `Throwable`

#### test2

    public void test2()
               throws Throwable

Throws:
  `Throwable`

#### testDiscardSemicolons

    public void testDiscardSemicolons()
                               throws Throwable

Throws:
  `Throwable`

#### testDiscardImports

    public void testDiscardImports()
                            throws Throwable

Throws:
  `Throwable`

#### testDiscardPkgStmts

    public void testDiscardPkgStmts()
                             throws Throwable

Throws:
  `Throwable`

#### testDiscardSimpleOneLineAnnotation

    public void testDiscardSimpleOneLineAnnotation()
                                            throws Throwable

Throws:
  `Throwable`

#### testIgnoreComments

    public void testIgnoreComments()

Comments are discarded already by the Java parser. It would be nice, however, to use simple comments like //CPD-START or //CPD-END to enable discard-mode of CPD

#### testDiscardOneLineAnnotationWithParams

    public void testDiscardOneLineAnnotationWithParams()
                                                throws Throwable

Throws:
  `Throwable`

#### testIgnoreBetweenSpecialAnnotation

    public void testIgnoreBetweenSpecialAnnotation()
                                            throws Throwable

Throws:
  `Throwable`

#### testIgnoreBetweenSpecialAnnotationAndIgnoreAnnotations

    public void testIgnoreBetweenSpecialAnnotationAndIgnoreAnnotations()
                                                                throws Throwable

Throws:
  `Throwable`

#### suite

    public static junit.framework.Test suite()